<?PHP 
include("header.php");

//session_start();
//error_reporting(0);

include("include/db-connect.php");
//....Tamil font......
mysql_query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
//.................

if(isset($_REQUEST['submit']))
{
	 $cat=$_REQUEST['cat'];
	   $sub=$_REQUEST['sub_cat'];
	   
	   
  ?>
    <script>
	window.location='view_search2.php?cat=<?php echo base64_encode($cat);?>&sub=<?php echo base64_encode($sub);?>';
	</script>
 <? 
}
 ?>
 
 <!----------SEARCH 1------------------->
 <!--
  <script type="text/javascript" src="search/jquery-1.9.1.min.js"></script>
  <script type="text/javascript" src="search/jquery.autocomplete.min.js"></script>
  <script type="text/javascript">
  var $j = jQuery.noConflict();
  $j(function(){
  var currencies = [
  <?php  $qur="SELECT * FROM products"; 
		$result = mysql_query($qur);
		while ($row_section = mysql_fetch_array($result)) 

	{

	?>	  
    { value: '<?php echo $row_section['name']; ?>' },
	<?php } ?>
  ];
  
  
  $j('#autocomplete1').autocomplete({
    lookup: currencies,
    onSelect: function (suggestion) {
      var tdehtml = '<strong>Service Name:</strong> ' + suggestion.data;
      $j('#outputcontent').html(tdehtml);
    }
  });
  

});
</script>-->
<!------------END SEARCH 1----------------------->

  <div id="content">
  <div class="breadcrumb">
       <!-- <a href="http://amarasudhan.com/admin/index.php?route=common/home&amp;token=b735cc089ec2d51abb9a8e1901f501fb">Home</a>-->
      </div>
              <div class="box">
    <div class="heading">
     <?php 
		    
			 
			 $dis1=("select count(*) as num  from ".$PRODUCT." ");		
		     $total_pages = mysql_fetch_array(mysql_query($dis1));
		

             $total_pages = $total_pages[num];
	       
		 ?>
      <h1><img src="view/image/home.png" alt="" />Product Details  &nbsp;&nbsp;&nbsp;  </h1>
    </div>
    <div class="content">
      <div class="overview" style="width:90%; margin-left:80px;">
        <div class="dashboard-heading" style="  margin-top:20px; ">
       Search Product &nbsp;-&nbsp;<? echo   $cat=base64_decode($_GET['cat']);?>&nbsp; -&nbsp; <?  echo  $sub=base64_decode($_GET['sub']); ?>
       
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="viewproductsearch.php" style="color:#FFF; text-decoration:none;">Back</a>
	   
       </div>
        <div class="dashboard-content">
<!--Message Display-->	
<?php
if($_REQUEST['add'] == 'success') {echo $result= '<h4 class="alert_success">Product Added Successfully </h4>';}

elseif($_REQUEST['add'] == 'fail'){echo $result= '<h4 class="alert_error">Product Already Exit</h4>';}

if($_REQUEST['edit'] == 'success') {echo $result= '<h4 class="alert_success">Product Edited Successfully </h4>';}

elseif($_REQUEST['edit'] == 'fail'){echo $result= '<h4 class="alert_error">Product Already Exit</h4>';}

elseif($_REQUEST['edit'] == 'fail'){echo $result= '<h4 class="alert_error">Product Are Not Deleted</h4>';}

?>	
  <?php 
		    
			 
			 $dis1=("select count(*) as num  from ".$PRODUCT." ");		
		     $total_pages = mysql_fetch_array(mysql_query($dis1));
		

             $total_pages = $total_pages[num];
	       
		 ?>
		 
  <table class="list" cellspacing="0" > 
			<tdead> 
                 <tr>
                   
                    <td class="left">S.No</td>
                    <td class="left">Name</td>
                    <td class="left">Tamil Name</td>
                    <td class="left">Product ID</td>
                    <td class="left">Tax (%)</td>
                    <td class="left">Quantity</td>
                    <td class="left">Purchase Price</td>
                    <td class="left">Sales Price</td> 
                    <td class="left">Tax</td> 
                    <td class="left">Offer</td> 
                    <td class="left">Total</td> 
                    <td class="left">Small Picture</td>
                    <td class="left">Actions</td>
                    
                         
              </tr>
              </tdead>
			
			<tbody> 
           
				 
			 
			<?php 
			 $cat=base64_decode($_GET['cat']);
	    $sub=base64_decode($_GET['sub']);
	   
			
		 $dis1=("select count(*) as num  from ".$PRODUCT." where category='$cat' and sub_category='$sub' ");		
		$total_pages = mysql_fetch_array(mysql_query($dis1));
		$adjacents = 3;

     $total_pages = $total_pages[num];

$targetpage =""; //your file name (tde name of tdis file)
$limit = 10; //how many items to show per page
$page = $_GET['page'];
if($page)
$start = ($page - 1) * $limit; //first item to display on tdis page
else
$start = 0; //if no page var is given, set start to 0

if ($page == 0) $page = 1; //if no page var is given, default to 1.
$prev = $page - 1; //previous page is page - 1
$next = $page + 1; //next page is page + 1
$lastpage = ceil($total_pages/$limit); //lastpage is = total pages / items per page, rounded up.
$lpm1 = $lastpage - 1; //last page minus 1

$pagination = "";
if($lastpage > 1)
{
$pagination .= "<div class=\"pagination\">";
//previous button
if ($page > 1)
$pagination.= "<a href=\"$targetpage?page=$prev \">Previous &nbsp;</a>";
else
$pagination.= "<span class=\"disabled\">Previous &nbsp;</span>";

//pages
if ($lastpage < 7 + ($adjacents * 2)) //not enough pages to botder breaking it up
{
for ($counter = 1; $counter <= $lastpage; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
}
elseif($lastpage > 5 + ($adjacents * 2)) //enough pages to hide some
{
//close to beginning; only hide later pages
if($page < 1 + ($adjacents * 2))
{
for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
$pagination.= "...";
$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;</a>";
}
//in middle; hide some front and some back
elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
{
$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";
$pagination.= "...";
for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
$pagination.= "...";
$pagination.= "<a href=\"$targetpage?page=$lpm1 \">$lpm1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=$lastpage \">$lastpage &nbsp;</a>";
}
//close to end; only hide early pages
else
{
$pagination.= "<a href=\"$targetpage?page=1 \">1 &nbsp;</a>";
$pagination.= "<a href=\"$targetpage?page=2 \">2 &nbsp;</a>";
$pagination.= "...";
for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
{
if ($counter == $page)
$pagination.= "<span class=\"current\">$counter &nbsp;</span>";
else
$pagination.= "<a href=\"$targetpage?page=$counter \">$counter &nbsp;</a>";
}
}
}

//next button
if ($page < $counter - 1)
$pagination.= "<a href=\"$targetpage?page=$next \">Next  &nbsp;</a>";
else
$pagination.= "<span class=\"disabled\">Next &nbsp;</span>";
$pagination.= "</div>\n";
}

	 $qur="SELECT * FROM ".$PRODUCT." where category='$cat' and sub_category='$sub' order by serial desc  LIMIT $start, $limit";

		$result = mysql_query($qur)or die('Have an error in viewing data'.mysql_error());
		while ($row_section = mysql_fetch_array($result)) 
			{
			   
	   $serial=$row_section['serial'];
	   
	   $category=$row_section['category'];
	
	   $sub_category=$row_section['sub_category'];
	   $name=$row_section['name'];
	   $description=$row_section['description'];
	   $price=$row_section['price'];
	   $quantity=$row_section['quantity'];
	   
	    $product_id=$row_section['product_id'];
	   
	   $offper=$row_section['offper'];
	   $small_jpg=$row_section['small_jpg'];
	   $in_price=$row_section['in_price'];
	   $sale_tax=$row_section['sale_tax'];
	   $tax_percen=$row_section['tax_percen'];
	   $pur_price=$row_section['pur_price'];
	   $tname=$row_section['tname'];
			  ?>	    
				 
			    <tr> 
   					
    				<td><?php echo $serial; ?></td>
                    <td><?php echo $name; ?></td>
                    <td><?php echo $tname; ?></td> 
                    <td><?php echo $product_id; ?></td> 
                    <td><?php echo $tax_percen; ?></td>
                    <td><?php echo $quantity; ?></td>                   
                    <td>&#x20B9;<?php echo $pur_price; ?></td>
                    <td>&#x20B9;<?php echo $in_price; ?></td>
                    <td>&#x20B9;<?php echo $sale_tax; ?></td>
                    <td><?php echo $offper; ?>%</td>
                    <td>&#x20B9;<?php echo $price; ?></td>
                    <td><img src="<?php echo $small_jpg; ?>" border="0" height="30" widtd="60"/></td>
                                       
   				  <td><a href="editproduct2.php?id=<?php echo $row_section['serial'];?>">
                    <input type="image" src="images/edit.jpg" title="Edit" widtd="20" height="15"></a>
                    
                     <a href="deleteproduct.php?id=<?php echo $row_section['serial'];?>" 
                     onClick="return confirm('Are you sure you want to delete?')">
                     <input type="image" src="images/delete.jpg" title="Delete" widtd="20" height="15"></a></td> 
				</tr> 	 
				 
<?php } ?> 
 
			</tbody> 
			</table>
            
   
        </div>
        <div align="right"><?php echo $pagination; ?> 	</div>	
      </div>
      
      
    </div>
  </div>
</div>
<!--[if IE]>
<script type="text/javascript" src="view/javascript/jquery/flot/excanvas.js"></script>
<![endif]--> 
<script type="text/javascript" src="view/javascript/jquery/flot/jquery.flot.js"></script> 
<script type="text/javascript"><!--
function getSalesChart(range) {
	$.ajax({
		type: 'get',
		url: 'index.php?route=common/home/chart&token=b735cc089ec2d51abb9a8e1901f501fb&range=' + range,
		dataType: 'json',
		async: false,
		success: function(json) {
			var option = {	
				shadowSize: 0,
				lines: { 
					show: true,
					fill: true,
					lineWidtd: 1
				},
				grid: {
					backgroundColor: '#FFFFFF'
				},	
				xaxis: {
            		ticks: json.xaxis
				}
			}

			$.plot($('#report'), [json.order, json.customer], option);
		}
	});
}

getSalesChart($('#range').val());
//--></script> 
</div>
<?php include("footer.php"); ?>